Skip to main content
POST
/
v1
/
containers
/
{container_id}
/
files
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "object": "<string>",
  "container_id": "<string>",
  "path": "<string>",
  "bytes": 123,
  "created_at": 123,
  "source": "<string>",
  "extra_fields": {
    "request_type": "<string>",
    "model_requested": "<string>",
    "model_deployment": "<string>",
    "latency": 123,
    "chunk_index": 123,
    "raw_request": {},
    "raw_response": {},
    "cache_debug": {
      "cache_hit": true,
      "cache_id": "<string>",
      "hit_type": "<string>",
      "requested_provider": "<string>",
      "requested_model": "<string>",
      "provider_used": "<string>",
      "model_used": "<string>",
      "input_tokens": 123,
      "threshold": 123,
      "similarity": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Path Parameters

container_id
string
required

The ID of the container

Query Parameters

provider
enum<string>
required

The provider of the container AI model provider identifier

Available options:
openai,
azure,
anthropic,
bedrock,
cohere,
vertex,
vllm,
mistral,
ollama,
groq,
sgl,
parasail,
perplexity,
replicate,
cerebras,
gemini,
openrouter,
elevenlabs,
huggingface,
nebius,
xai,
runway,
fireworks

Body

Request to create a file in a container via multipart upload

file
file

The file content to upload

file_path
string

Optional path for the file within the container

Response

Successful response

Response from creating a file in a container

id
string

The unique identifier for the created file

object
string

The object type (always "container.file")

container_id
string

The ID of the container this file belongs to

path
string

The path of the file within the container

bytes
integer<int64>

The size of the file in bytes

created_at
integer<int64>

Unix timestamp of when the file was created

source
string

The source of the file

extra_fields
object

Additional fields included in responses